# gulp-choose-file [![NPM version](https://img.shields.io/npm/v/gulp-choose-file.svg?style=flat)](https://www.npmjs.com/package/gulp-choose-file) [![NPM downloads](https://img.shields.io/npm/dm/gulp-choose-file.svg?style=flat)](https://npmjs.org/package/gulp-choose-file)

Gulp plugin that prompts you to choose a file to pass through the stream.

## Usage

```js
var gulp = require('gulp');
var choose = require('gulp-choose-file');

gulp.task('default', function() {
  return gulp.src('fixtures/*.*')
    .pipe(choose())
    .pipe(gulp.dest('actual'));
});
```

## options.choices

If you need to be able to automatically skip the prompt, you can pass a string with your "choice" to `options.choices`.

The following will only write `a.txt`:

```js
gulp.task('default', function() {
  return gulp.src('fixtures/*.txt')
    .pipe(choose({choices: 'a.txt'}))
    .pipe(gulp.dest('actual'));
});
```

## About

### Related projects

[gulp-choose-files](https://www.npmjs.com/package/gulp-choose-files): Gulp plugin that prompts you to choose the files to pass through the stream. | [homepage](https://github.com/generate/gulp-choose-files "Gulp plugin that prompts you to choose the files to pass through the stream.")

### Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](../../issues/new).

### Building docs

_(This document was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme) (a [verb](https://github.com/verbose/verb) generator), please don't edit the readme directly. Any changes to the readme must be made in [.verb.md](.verb.md).)_

To generate the readme and API documentation with [verb](https://github.com/verbose/verb):

```sh
$ npm install -g verb verb-generate-readme && verb
```

### Running tests

Install dev dependencies:

```sh
$ npm install -d && npm test
```

### License

Copyright © 2016, [Aurelien Verla](https://github.com/pointnet).
Released under the [MIT license](https://github.com/pointnet/gulp-choose-file/blob/master/LICENSE).

***

_This file was generated by [verb](https://github.com/verbose/verb), v0.9.0, on July 14, 2016._